Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155181 - vimtutor with wrong Russian code page
Summary: vimtutor with wrong Russian code page
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vim
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-17 17:57 UTC by Andrew Martynov
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-18 10:16:23 UTC


Attachments (Terms of Use)
vim.spec patch for Russian vimtutor (deleted)
2005-04-17 18:00 UTC, Andrew Martynov
no flags Details | Diff

Description Andrew Martynov 2005-04-17 17:57:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
When vimtutor is started in Russian locale then strange text appears.
It seems to be missconverted from 8bit encoding to UTF-8.

Following command makes vimtutor sample text correcly displayed:
$ iconv -f utf8 -t cp1251 /usr/share/vim/vim63/tutor/tutor.ru | iconv -f koi8r -t utf8 | less



Version-Release number of selected component (if applicable):
vim-6.3.046-0.30E.3

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL3 ES
2. Update vim-enhanced to latest version
3. Run LANG=ru_RU.UTF-8 vimtutor
  

Actual Results:  Displayed text is unreadable.

Expected Results:  Russian text for vim tutorial

Additional info:

I found what vim.spec file from vim-6.3.046-0.30E.3.src.rpm contains line
----------------
iconv -f CP1251 -t UTF8 tutor.ru > conv/tutor.ru
----------------

Whis is wrong because tutor.ru contains text in KOI8R encoding,
and tutor.ru.cp1251 contains text in CP1251 encoding.

This line should be changed to

----------------
iconv -f KOI8R -t UTF8 tutor.ru > conv/tutor.ru
----------------

the same problem persists in RHEL4 and Fedora Core 4 (test2)

Comment 1 Andrew Martynov 2005-04-17 18:00:54 UTC
Created attachment 113295 [details]
vim.spec patch for Russian vimtutor

This patch corrects converting timtutor.ru frmo 8bit (koi8-r) encoding to
Unicode

Comment 2 Karsten Hopp 2005-04-18 10:16:23 UTC
fixed in vim-6.3.071-2 (FC4). Patches for RHEL commited to CVS

Comment 3 Victor Ashik 2005-05-12 09:00:52 UTC
(In reply to comment #2)
> fixed in vim-6.3.071-2 (FC4). Patches for RHEL commited to CVS

The same bug exists in RHEL4. I'd recommend to commit the patch into RHEL4 CVS
tree too.

Comment 4 Karsten Hopp 2005-05-12 09:32:59 UTC
Patches committed to RHEL-3 and RHEL-4 CVS on Apr 18, 2005.
Waiting for some kind of security issue/severe bug to justify an erratum


Note You need to log in before you can comment on or make changes to this bug.